%define anolis_release 1

Name:           iputils
Version:        20221126
Release:        %{anolis_release}%{?dist}
Summary:        Network monitoring tools including ping
License:        BSD and GPLv2+
URL:            https://github.com/iputils/iputils
Source0:        https://github.com/iputils/iputils/archive/refs/tags/%{version}.tar.gz
Source1: ifenslave.tar.gz
# Taken from ping.c on 2014-07-12
Source4: bsd.txt
Source5: https://www.gnu.org/licenses/old-licenses/gpl-2.0.txt

Patch100: iputils-ifenslave.patch
Patch101: iputils-ifenslave-CWE-170.patch

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  gettext
BuildRequires:  glibc-kernheaders >= 2.4-8.19
BuildRequires:  libidn2-devel
BuildRequires:  openssl-devel
BuildRequires:  libcap-devel
BuildRequires:  libxslt docbook5-style-xsl
BuildRequires:  systemd
BuildRequires:  iproute
%{?systemd_ordering}
Provides:       /bin/ping
Provides:       /bin/ping6
Provides:       /sbin/arping

%description
The iputils package contains basic utilities for monitoring a network,
including ping. The ping command sends a series of ICMP protocol
ECHO_REQUEST packets to a specified network host to discover whether
the target machine is alive and receiving network traffic.

%prep
%autosetup -a1 -p1 -n %{name}-%{version}
cp %{SOURCE4} %{SOURCE5} .

%build
%meson
%meson_build

gcc $RPM_OPT_FLAGS $CFLAGS $RPM_LD_FLAGS $LDFLAGS ifenslave.c -o ifenslave

%install
%meson_install
%find_lang %{name}

mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
ln -sf ../bin/ping ${RPM_BUILD_ROOT}%{_sbindir}/ping
ln -sf ../bin/ping ${RPM_BUILD_ROOT}%{_sbindir}/ping6
ln -sf ../bin/tracepath ${RPM_BUILD_ROOT}%{_sbindir}/tracepath
ln -sf ../bin/tracepath ${RPM_BUILD_ROOT}%{_sbindir}/tracepath6
ln -sf ../bin/arping ${RPM_BUILD_ROOT}%{_sbindir}/arping
ln -sf ping.8 ${RPM_BUILD_ROOT}%{_mandir}/man8/ping6.8
ln -sf tracepath.8 ${RPM_BUILD_ROOT}%{_mandir}/man8/tracepath6.8
install -cp ifenslave ${RPM_BUILD_ROOT}%{_sbindir}/
install -cp ifenslave.8 ${RPM_BUILD_ROOT}%{_mandir}/man8/

%files -f %{name}.lang
%doc README.bonding
%license bsd.txt gpl-2.0.txt
%attr(0755,root,root) %caps(cap_net_raw=p) %{_bindir}/clockdiff
%attr(0755,root,root) %caps(cap_net_raw=p) %{_bindir}/arping
%attr(0755,root,root) %{_bindir}/ping
%{_sbindir}/ifenslave
%{_bindir}/tracepath
%{_sbindir}/ping
%{_sbindir}/ping6
%{_sbindir}/tracepath
%{_sbindir}/tracepath6
%{_sbindir}/arping
%{_mandir}/man8/*

%changelog
* Fri Jan 20 2023 Funda Wang <fundawang@yeah.net> - 20221126-1
- New version 20221126

* Wed Mar 02 2022 Su Lifan <su-lifan@linux.alibaba.com> - 20211215-1
- Initial packaging for Anolis OS 23
